Skip to content

Instantly share code, notes, and snippets.

@paulschreiber
Created November 2, 2017 19:37
Embed
What would you like to do?
VVV 2.1-develop provisioning log
==> default: Network connection detected...
==> default: Bash profile setup and directories.
==> default: sending incremental file list
==> default: db_backup
==> default: db_restore
==> default: makepot
==> default: vagrant_destroy
==> default: vagrant_halt
==> default: vagrant_suspend
==> default: vagrant_up
==> default: xdebug_off
==> default: xdebug_on
==> default: sent 2.45K bytes received 187 bytes 5.27K bytes/sec
==> default: total size is 3.29K speedup is 1.25
==> default: * Copied /srv/config/bash_profile to /home/vagrant/.bash_profile
==> default: * Copied /srv/config/bash_aliases to /home/vagrant/.bash_aliases
==> default: * Copied /srv/config/vimrc to /home/vagrant/.vimrc
==> default: * Copied /srv/config/subversion-servers to /home/vagrant/.subversion/servers
==> default: * Copied /srv/config/subversion-config to /home/vagrant/.subversion/config
==> default: * rsync'd /srv/config/homebin to /home/vagrant/bin
==> default: Network connection detected...
==> default:
==> default: Main packages check and install.
==> default: Adding ppa:git-core/ppa repository
==> default: * php7.0-fpm 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-cli 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-common 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-dev 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php-pear 1:1.10.5+submodules+notgz-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php-imagick 3.4.3-2~ubuntu14.04.1+deb.sury.org+1
==> default: * php-memcache 3.0.9~20160311.4991c2f-6+ubuntu14.04.1+deb.sury.org+2
==> default: * php-memcached 3.0.3+2.2.0-1+ubuntu14.04.1+deb.sury.org+3
==> default: * php-ssh2 1.1.2+0.13-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php-xdebug 2.5.5-3+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-bcmath 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-curl 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-gd 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-mbstring 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-mcrypt 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-mysql 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-imap 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-json 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-soap 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-xml 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * php7.0-zip 7.0.24-1+ubuntu14.04.1+deb.sury.org+1
==> default: * nginx 1.13.6-1~trusty
==> default: * memcached 1.4.14-0ubuntu9.1
==> default: * mariadb-server 10.1.28+maria-1~trusty
==> default: * imagemagick 8:6.7.7.10-6ubuntu3.9
==> default: * subversion 1.8.8-1ubuntu3.3
==> default: * git 1:2.14.2-1~ppa0~ubuntu14.04.1
==> default: * zip 3.0-8
==> default: * unzip 6.0-9ubuntu1.5
==> default: * ngrep 1.45.ds2-12
==> default: * curl 7.35.0-1ubuntu2.11
==> default: * make 3.81-8.2ubuntu3
==> default: * vim 2:7.4.052-1ubuntu3.1
==> default: * colordiff 1.0.13-1
==> default: * postfix 2.11.0-1ubuntu1
==> default: * python-pip 1.5.4-1ubuntu4
==> default: * ntp 1:4.2.6.p5+dfsg-3ubuntu2.14.04.12
==> default: * gettext 0.18.3.1-1ubuntu3
==> default: * graphviz 2.36.0-0ubuntu3.2
==> default: * dos2unix 6.0.4-1
==> default: * g++ 4:4.8.2-1ubuntu6
==> default: * nodejs 6.11.4-1nodesource1
==> default: * libsqlite3-dev 3.8.2-1ubuntu2.1
==> default: Linked custom apt sources
==> default: No apt packages to install.
==> default: php7.0-fpm stop/waiting
==> default: php7.0-fpm start/running, process 27552
==> default:
==> default: Updating nvm...
==> default: From https://github.com/creationix/nvm
==> default: * branch master -> FETCH_HEAD
==> default: Updating 6597e11..9953a52
==> default: Fast-forward
==> default: .gitignore | 6 ++++++
==> default: .mailmap | 1 +
==> default: .npmrc | 1 +
==> default: .travis.yml | 2 --
==> default: README.md | 22 +++++++++++-----------
==> default: install.sh | 9 ++++++---
==> default: nvm.sh | 19 ++++++++++++++-----
==> default: package.json | 2 +-
==> default: 8 files changed, 40 insertions(+), 22 deletions(-)
==> default: create mode 100644 .mailmap
==> default: create mode 100644 .npmrc
==> default: Previous HEAD position was 9953a52... Merge pull request #1644 from citrusui/patch-1
==> default: HEAD is now at 6597e11... v0.33.5
==> default: Installing/updating npm...
==> default: /usr/bin/npm -> /usr/lib/node_modules/npm/bin/npm-cli.js
==> default: /usr/bin/npx -> /usr/lib/node_modules/npm/bin/npx-cli.js
==> default: + npm@5.5.1
==> default: updated 1 package in 8.47s
==> default: Installing/updating npm-check-updates...
==> default: /usr/bin/npm-check-updates -> /usr/lib/node_modules/npm-check-updates/bin/npm-check-updates
==> default: /usr/bin/ncu -> /usr/lib/node_modules/npm-check-updates/bin/ncu
==> default: + npm-check-updates@2.13.0
==> default: updated 1 package in 12.889s
==> default: ack-grep already installed
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: Updating Composer...
==> default: You are already using composer version 1.5.2 (stable channel).
==> default: Changed current directory to /usr/local/src/composer
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: ./composer.json has been updated
==> default: Changed current directory to /usr/local/src/composer
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: ./composer.json has been updated
==> default: Changed current directory to /usr/local/src/composer
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: ./composer.json has been updated
==> default: Changed current directory to /usr/local/src/composer
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: ./composer.json has been updated
==> default: Changed current directory to /usr/local/src/composer
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: Changed current directory to /usr/local/src/composer
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: Loading composer repositories with package information
==> default: Updating dependencies (including require-dev)
==> default: Nothing to install or update
==> default: Generating autoload files
==> default: Updating Grunt CLI
==> default: Adding graphviz symlink for Webgrind...
==> default: Installing Shyaml for bash provisioning..
==> default: Requirement already satisfied (use --upgrade to upgrade): shyaml in /usr/local/lib/python2.7/dist-packages
==> default: Cleaning up...
==> default: Setup configuration files...
==> default: * Copied /srv/config/init/vvv-start.conf to /etc/init/vvv-start.conf
==> default: sending incremental file list
==> default: deleting vvv-auto-theundefeated-provision-664adf9a8943ab271fa647c0a2fab8c5.conf
==> default: deleting vvv-auto-grantland-provision-30f06055c0a1f4e8c91bccb64a2d7eae.conf
==> default: deleting vvv-auto-fivethirtyeight-provision-c9df29dbf2fbac46da5777f3c6555f03.conf
==> default: default.conf
==> default: local-nginx-example.conf-sample
==> default: sent 1.83K bytes received 274 bytes 4.22K bytes/sec
==> default: total size is 3.89K speedup is 1.85
==> default: * Copied /srv/config/nginx-config/nginx.conf to /etc/nginx/nginx.conf
==> default: * Copied /srv/config/nginx-config/nginx-wp-common.conf to /etc/nginx/nginx-wp-common.conf
==> default: * Rsync'd /srv/config/nginx-config/sites/ to /etc/nginx/custom-sites
==> default: * RVM 1.29.3
==> default: * Mailcatcher 0.6.5
==> default: * Mailcatcher upstart already configured.
==> default: * Mailcatcher php7 fpm already configured.
==> default: * Copied /srv/config/php-config/php7.0-fpm.conf to /etc/php/7.0/fpm/php-fpm.conf
==> default: * Copied /srv/config/php-config/php7.0-www.conf to /etc/php/7.0/fpm/pool.d/www.conf
==> default: * Copied /srv/config/php-config/php7.0-custom.ini to /etc/php/7.0/fpm/conf.d/php-custom.ini
==> default: * Copied /srv/config/php-config/opcache.ini to /etc/php/7.0/fpm/conf.d/opcache.ini
==> default: * Copied /srv/config/php-config/xdebug.ini to /etc/php/7.0/mods-available/xdebug.ini
==> default: * Copied /srv/config/memcached-config/memcached.conf to /etc/memcached.conf
==> default: Restart services...
==> default: * Restarting nginx nginx
==> default: ...done.
==> default: Restarting memcached:
==> default: memcached.
==> default: mailcatcher stop/waiting
==> default: mailcatcher start/running, process 28045
==> default: php7.0-fpm stop/waiting
==> default: php7.0-fpm start/running, process 28196
==> default: Setup MySQL configuration file links...
==> default: * Copied /srv/config/mysql-config/my.cnf to /etc/mysql/my.cnf
==> default: * Copied /srv/config/mysql-config/root-my.cnf to /home/vagrant/.my.cnf
==> default: service mysql restart
==> default: * Stopping MariaDB database server mysqld
==> default: ...done.
==> default: * Starting MariaDB database server mysqld
==> default: ...done.
==> default: * Checking for corrupt, not cleanly closed and upgrade needing tables.
==> default: No custom MySQL scripting found in database/init-custom.sql, skipping...
==> default: Initial MySQL prep...
==> default: Start MariaDB Database Import
==> default: * Skipped import of fivethirtyeight - tables exist
==> default: * Skipped import of grantland - tables exist
==> default: * Skipped import of theundefeated - tables exist
==> default: * Skipped import of wordpress_default - tables exist
==> default: ERROR
==> default: 1049 (42000)
==> default: at line 1
==> default: : Unknown database 'wordpress_develop'
==> default: * Error - Create wordpress_develop database via init-custom.sql before attempting import
==> default: Databases imported
==> default: Network connection detected...
==> default:
==> default: Installing/updating wp-cli and debugging tools
==> default: Updating wp-cli...
==> default: Downloading from https://raw.githubusercontent.com/wp-cli/builds/gh-pages/phar/wp-cli-nightly.phar...
==> default: md5 hash verified: 0238c7b7f08653e5c768645529548c48
==> default: New version works. Proceeding to replace.
==> default: Success: Updated WP-CLI to the latest nightly release.
==> default: Install/Update PHP_CodeSniffer (phpcs), see https://github.com/squizlabs/PHP_CodeSniffer
==> default: Install/Update WordPress-Coding-Standards, sniffs for PHP_CodeSniffer, see https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards
==> default: Do not run Composer as root/super user! See https://getcomposer.org/root for details
==> default: Loading composer repositories with package information
==> default:
==> default: Reading composer.json of automattic/vipwpcs (0.2.0)
==> default:
==> default:
==> default:
==> default: Reading composer.json of automattic/vipwpcs (0.1.0)
==> default:
==> default:
==> default:
==> default:
==> default: [Composer\Downloader\TransportException]
==> default: Could not authenticate against github.com
==> default:
==> default: update [--prefer-source] [--prefer-dist] [--dry-run] [--dev] [--no-dev] [--lock] [--no-custom-installers] [--no-autoloader] [--no-scripts] [--no-progress] [--no-suggest] [--with-dependencies] [-v|vv|vvv|--verbose] [-o|--optimize-autoloader] [-a|--classmap-authoritative] [--apcu-autoloader] [--ignore-platform-reqs] [--prefer-stable] [--prefer-lowest] [-i|--interactive] [--root-reqs] [--] [<packages>]...
==> default: Directory name must not be empty.
==> default: Using config file: /srv/www/phpcs/CodeSniffer.conf
==> default:
==> default: Config value "default_standard" added successfully
==> default: The installed coding standards are MySource, PEAR, PSR1, PSR2, Squiz, Zend, WordPress, WordPress-Core, WordPress-Docs, WordPress-Extra and WordPress-VIP
==> default: Network connection detected...
==> default:
==> default:
==> default: Cleaning the virtual machine's /etc/hosts file...
==> default: -----------------------------
==> default: Provisioning complete in 108 seconds
==> default: For further setup instructions, visit http://vvv.test
==> default: Running provisioner: utility-source-core (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-96fhqj.sh
==> default: Updating core resources...
==> default: From https://github.com/Varying-Vagrant-Vagrants/vvv-utilities
==> default: * branch master -> FETCH_HEAD
==> default: Already up-to-date.
==> default: Already on 'master'
==> default: Your branch is up-to-date with 'origin/master'.
==> default: Running provisioner: utility-core-memcached-admin (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-zmxsok.sh
==> default: phpMemcachedAdmin already installed.
==> default: Running provisioner: utility-core-opcache-status (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-b6m117.sh
==> default: Updating Opcache Status
==> default: From https://github.com/rlerdorf/opcache-status
==> default: * branch master -> FETCH_HEAD
==> default: Already up-to-date.
==> default: Current branch master is up to date.
==> default: Running provisioner: utility-core-phpmyadmin (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-10gxspb.sh
==> default: PHPMyAdmin already installed.
==> default: Running provisioner: utility-core-webgrind (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-6bbnd9.sh
==> default: Updating webgrind...
==> default: From https://github.com/jokkedk/webgrind
==> default: * branch master -> FETCH_HEAD
==> default: Already up-to-date.
==> default: Current branch master is up to date.
==> default: Running provisioner: site-fivethirtyeight (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-10a0xc9.sh
==> default: Updating fivethirtyeight...
==> default: From https://github.com/Varying-Vagrant-Vagrants/custom-site-template
==> default: * branch master -> FETCH_HEAD
==> default: Already up-to-date.
==> default: Already on 'master'
==> default: Your branch is up-to-date with 'origin/master'.
==> default: Creating database 'fivethirtyeight' (if it's not already there)
==> default: DB operations done.
==> default: Updating WordPress Stable...
==> default: Success: WordPress is up to date.
==> default: Adding domains to the virtual machine's /etc/hosts file...
==> default: * Added fte.local from /vagrant/vvv-custom.yml
==> default: * Restarting nginx nginx
==> default: ...done.
==> default: Running provisioner: site-theundefeated (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-9vmymk.sh
==> default: Updating theundefeated...
==> default: From https://github.com/Varying-Vagrant-Vagrants/custom-site-template
==> default: * branch master -> FETCH_HEAD
==> default: Already up-to-date.
==> default: Already on 'master'
==> default: Your branch is up-to-date with 'origin/master'.
==> default: Creating database 'theundefeated' (if it's not already there)
==> default: DB operations done.
==> default: Updating WordPress Stable...
==> default: Success: WordPress is up to date.
==> default: Adding domains to the virtual machine's /etc/hosts file...
==> default: * Added tu.local from /vagrant/vvv-custom.yml
==> default: * Restarting nginx nginx
==> default: ...done.
==> default: Running provisioner: site-grantland (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-1ouahfa.sh
==> default: Updating grantland...
==> default: From https://github.com/Varying-Vagrant-Vagrants/custom-site-template
==> default: * branch master -> FETCH_HEAD
==> default: Already up-to-date.
==> default: Already on 'master'
==> default: Your branch is up-to-date with 'origin/master'.
==> default: Creating database 'grantland' (if it's not already there)
==> default: DB operations done.
==> default: Updating WordPress Stable...
==> default: Success: WordPress is up to date.
==> default: Adding domains to the virtual machine's /etc/hosts file...
==> default: * Added gl.local from /vagrant/vvv-custom.yml
==> default: * Restarting nginx nginx
==> default: ...done.
==> default: Running provisioner: site-extrasite (shell)...
default: Running: /var/folders/pr/5q9tjl4j68x36k68ys5f6w6mv0px7_/T/vagrant-shell20171102-79225-bngaho.sh
==> default: Downloading extrasite, see https://github.com/Varying-Vagrant-Vagrants/custom-site-template.git
==> default: Cloning into '/srv/www/extrasite'...
==> default: Creating database 'extrasite' (if it's not already there)
==> default: DB operations done.
==> default: Downloading WordPress...
==> default: Creating directory '/srv/www/extrasite/public_html/'.
==> default: Downloading WordPress 4.8.3 (en_US)...
==> default: md5 hash verified: 4a8c83d449351c76a8d5bea7d42710a2
==> default: Success: WordPress downloaded.
==> default: Configuring WordPress Stable...
==> default: Installing WordPress Stable...
==> default: Adding domains to the virtual machine's /etc/hosts file...
==> default: * Added extrasite.local from /vagrant/vvv-custom.yml
==> default: * Restarting nginx nginx
==> default: ...done.
==> default: Running provisioner: shell...
default: Running: inline script
==> default: * Stopping MariaDB database server mysqld
==> default: ...done.
==> default: * Starting MariaDB database server mysqld
==> default: ...done.
==> default: * Checking for corrupt, not cleanly closed and upgrade needing tables.
==> default: Running provisioner: shell...
default: Running: inline script
==> default: * Restarting nginx nginx
==> default: ...done.
==> default: Running triggers after up...
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment